Subject: Re: [bitcoin-dev] [Lightning-dev] [Pre-BIP] Fee Accounts

From: ZmnSCPxj <[email-masked]>
Date: Sun, 20 Feb 2022 14:24:22 +0000

Good morning DA,

> Agreed, you cannot rely on a replacement transaction would somehow
> invalidate a previous version of it, it has been spoken into the gossip
> and exists there in mempools somewhere if it does, there is no guarantee
> that anyone has ever heard of the replacement transaction as there is no
> consensus about either the previous version of the transaction or its
> replacement until one of them is mined and the block accepted. -DA.

As I understand from the followup from Peter, the point is not "this should never happen", rather the point is "this should not happen *more often*."

Regards,
ZmnSCPxj